import * as cdk from '@aws-cdk/core';
/**
 * Schema for Module Fragment of type Splunk::Enterprise::QuickStart::MODULE.
 *
 * @schema CfnQuickStartModuleProps
 */
export interface CfnQuickStartModuleProps {
    /**
     * @schema CfnQuickStartModuleProps#Parameters
     */
    readonly parameters?: CfnQuickStartModulePropsParameters;
    /**
     * @schema CfnQuickStartModuleProps#Resources
     */
    readonly resources?: CfnQuickStartModulePropsResources;
}
/**
 * Converts an object of type 'CfnQuickStartModuleProps' to JSON representation.
 */
export declare function toJson_CfnQuickStartModuleProps(obj: CfnQuickStartModuleProps | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParameters
 */
export interface CfnQuickStartModulePropsParameters {
    /**
     * @schema CfnQuickStartModulePropsParameters#AvailabilityZones
     */
    readonly availabilityZones?: CfnQuickStartModulePropsParametersAvailabilityZones;
    /**
     * @schema CfnQuickStartModulePropsParameters#NumberOfAZs
     */
    readonly numberOfAZs?: CfnQuickStartModulePropsParametersNumberOfAZs;
    /**
     * @schema CfnQuickStartModulePropsParameters#WebClientLocation
     */
    readonly webClientLocation?: CfnQuickStartModulePropsParametersWebClientLocation;
    /**
     * @schema CfnQuickStartModulePropsParameters#HECClientLocation
     */
    readonly hecClientLocation?: CfnQuickStartModulePropsParametersHecClientLocation;
    /**
     * @schema CfnQuickStartModulePropsParameters#IndexerInstanceType
     */
    readonly indexerInstanceType?: CfnQuickStartModulePropsParametersIndexerInstanceType;
    /**
     * @schema CfnQuickStartModulePropsParameters#SearchHeadInstanceType
     */
    readonly searchHeadInstanceType?: CfnQuickStartModulePropsParametersSearchHeadInstanceType;
    /**
     * @schema CfnQuickStartModulePropsParameters#KeyName
     */
    readonly keyName?: CfnQuickStartModulePropsParametersKeyName;
    /**
     * @schema CfnQuickStartModulePropsParameters#PublicSubnet1CIDR
     */
    readonly publicSubnet1Cidr?: CfnQuickStartModulePropsParametersPublicSubnet1Cidr;
    /**
     * @schema CfnQuickStartModulePropsParameters#PublicSubnet2CIDR
     */
    readonly publicSubnet2Cidr?: CfnQuickStartModulePropsParametersPublicSubnet2Cidr;
    /**
     * @schema CfnQuickStartModulePropsParameters#PublicSubnet3CIDR
     */
    readonly publicSubnet3Cidr?: CfnQuickStartModulePropsParametersPublicSubnet3Cidr;
    /**
     * @schema CfnQuickStartModulePropsParameters#SHCEnabled
     */
    readonly shcEnabled?: CfnQuickStartModulePropsParametersShcEnabled;
    /**
     * @schema CfnQuickStartModulePropsParameters#SSHClientLocation
     */
    readonly sshClientLocation?: CfnQuickStartModulePropsParametersSshClientLocation;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkAdminPassword
     */
    readonly splunkAdminPassword?: CfnQuickStartModulePropsParametersSplunkAdminPassword;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkIndexerCount
     */
    readonly splunkIndexerCount?: CfnQuickStartModulePropsParametersSplunkIndexerCount;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkIndexerDiskSize
     */
    readonly splunkIndexerDiskSize?: CfnQuickStartModulePropsParametersSplunkIndexerDiskSize;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkSearchHeadDiskSize
     */
    readonly splunkSearchHeadDiskSize?: CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkLicenseBucket
     */
    readonly splunkLicenseBucket?: CfnQuickStartModulePropsParametersSplunkLicenseBucket;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkLicensePath
     */
    readonly splunkLicensePath?: CfnQuickStartModulePropsParametersSplunkLicensePath;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkReplicationFactor
     */
    readonly splunkReplicationFactor?: CfnQuickStartModulePropsParametersSplunkReplicationFactor;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkSearchFactor
     */
    readonly splunkSearchFactor?: CfnQuickStartModulePropsParametersSplunkSearchFactor;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkClusterSecret
     */
    readonly splunkClusterSecret?: CfnQuickStartModulePropsParametersSplunkClusterSecret;
    /**
     * @schema CfnQuickStartModulePropsParameters#SplunkIndexerDiscoverySecret
     */
    readonly splunkIndexerDiscoverySecret?: CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret;
    /**
     * @schema CfnQuickStartModulePropsParameters#VPCCIDR
     */
    readonly vpccidr?: CfnQuickStartModulePropsParametersVpccidr;
    /**
     * @schema CfnQuickStartModulePropsParameters#SmartStoreBucketName
     */
    readonly smartStoreBucketName?: CfnQuickStartModulePropsParametersSmartStoreBucketName;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParameters' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParameters(obj: CfnQuickStartModulePropsParameters | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResources
 */
export interface CfnQuickStartModulePropsResources {
    /**
     * @schema CfnQuickStartModulePropsResources#VPC
     */
    readonly vpc?: CfnQuickStartModulePropsResourcesVpc;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnet1
     */
    readonly publicSubnet1?: CfnQuickStartModulePropsResourcesPublicSubnet1;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnet2
     */
    readonly publicSubnet2?: CfnQuickStartModulePropsResourcesPublicSubnet2;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnet3
     */
    readonly publicSubnet3?: CfnQuickStartModulePropsResourcesPublicSubnet3;
    /**
     * @schema CfnQuickStartModulePropsResources#InternetGateway
     */
    readonly internetGateway?: CfnQuickStartModulePropsResourcesInternetGateway;
    /**
     * @schema CfnQuickStartModulePropsResources#VPCGatewayAttachment
     */
    readonly vpcGatewayAttachment?: CfnQuickStartModulePropsResourcesVpcGatewayAttachment;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnetRouteTable
     */
    readonly publicSubnetRouteTable?: CfnQuickStartModulePropsResourcesPublicSubnetRouteTable;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnetRoute
     */
    readonly publicSubnetRoute?: CfnQuickStartModulePropsResourcesPublicSubnetRoute;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnet1RouteTableAssociation
     */
    readonly publicSubnet1RouteTableAssociation?: CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnet2RouteTableAssociation
     */
    readonly publicSubnet2RouteTableAssociation?: CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation;
    /**
     * @schema CfnQuickStartModulePropsResources#PublicSubnet3RouteTableAssociation
     */
    readonly publicSubnet3RouteTableAssociation?: CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSmartstoreBucket
     */
    readonly splunkSmartstoreBucket?: CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket;
    /**
     * @schema CfnQuickStartModulePropsResources#SmartStoreS3BucketRole
     */
    readonly smartStoreS3BucketRole?: CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole;
    /**
     * @schema CfnQuickStartModulePropsResources#SmartStoreS3AccessInstanceProfile
     */
    readonly smartStoreS3AccessInstanceProfile?: CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile;
    /**
     * @schema CfnQuickStartModulePropsResources#SmartStoreS3BucketPolicy
     */
    readonly smartStoreS3BucketPolicy?: CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSearchHeadSecurityGroup
     */
    readonly splunkSearchHeadSecurityGroup?: CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkIndexerSecurityGroup
     */
    readonly splunkIndexerSecurityGroup?: CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSecurityGroup
     */
    readonly splunkSecurityGroup?: CfnQuickStartModulePropsResourcesSplunkSecurityGroup;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkHttpEventCollectorLoadBalancerSecurityGroup
     */
    readonly splunkHttpEventCollectorLoadBalancerSecurityGroup?: CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSearchHeadInstance
     */
    readonly splunkSearchHeadInstance?: CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkCM
     */
    readonly splunkCm?: CfnQuickStartModulePropsResourcesSplunkCm;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkCMWaitHandle
     */
    readonly splunkCmWaitHandle?: CfnQuickStartModulePropsResourcesSplunkCmWaitHandle;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkCMWaitCondition
     */
    readonly splunkCmWaitCondition?: CfnQuickStartModulePropsResourcesSplunkCmWaitCondition;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSHCDeployer
     */
    readonly splunkShcDeployer?: CfnQuickStartModulePropsResourcesSplunkShcDeployer;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSHCMember1
     */
    readonly splunkShcMember1?: CfnQuickStartModulePropsResourcesSplunkShcMember1;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSHCMember2
     */
    readonly splunkShcMember2?: CfnQuickStartModulePropsResourcesSplunkShcMember2;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSHCMember3
     */
    readonly splunkShcMember3?: CfnQuickStartModulePropsResourcesSplunkShcMember3;
    /**
     * @schema CfnQuickStartModulePropsResources#CfnUser
     */
    readonly cfnUser?: CfnQuickStartModulePropsResourcesCfnUser;
    /**
     * @schema CfnQuickStartModulePropsResources#CfnKeys
     */
    readonly cfnKeys?: CfnQuickStartModulePropsResourcesCfnKeys;
    /**
     * @schema CfnQuickStartModulePropsResources#BucketPolicy
     */
    readonly bucketPolicy?: CfnQuickStartModulePropsResourcesBucketPolicy;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkIndexerLaunchConfiguration
     */
    readonly splunkIndexerLaunchConfiguration?: CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkSHCLoadBalancer
     */
    readonly splunkShcLoadBalancer?: CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkHttpEventCollectorLoadBalancer
     */
    readonly splunkHttpEventCollectorLoadBalancer?: CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer;
    /**
     * @schema CfnQuickStartModulePropsResources#SplunkIndexerNodesASG
     */
    readonly splunkIndexerNodesAsg?: CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResources' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResources(obj: CfnQuickStartModulePropsResources | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersAvailabilityZones
 */
export interface CfnQuickStartModulePropsParametersAvailabilityZones {
    /**
     * @schema CfnQuickStartModulePropsParametersAvailabilityZones#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersAvailabilityZones' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersAvailabilityZones(obj: CfnQuickStartModulePropsParametersAvailabilityZones | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersNumberOfAZs
 */
export interface CfnQuickStartModulePropsParametersNumberOfAZs {
    /**
     * @schema CfnQuickStartModulePropsParametersNumberOfAZs#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersNumberOfAZs' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersNumberOfAZs(obj: CfnQuickStartModulePropsParametersNumberOfAZs | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersWebClientLocation
 */
export interface CfnQuickStartModulePropsParametersWebClientLocation {
    /**
     * @schema CfnQuickStartModulePropsParametersWebClientLocation#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersWebClientLocation' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersWebClientLocation(obj: CfnQuickStartModulePropsParametersWebClientLocation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersHecClientLocation
 */
export interface CfnQuickStartModulePropsParametersHecClientLocation {
    /**
     * @schema CfnQuickStartModulePropsParametersHecClientLocation#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersHecClientLocation' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersHecClientLocation(obj: CfnQuickStartModulePropsParametersHecClientLocation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersIndexerInstanceType
 */
export interface CfnQuickStartModulePropsParametersIndexerInstanceType {
    /**
     * @schema CfnQuickStartModulePropsParametersIndexerInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersIndexerInstanceType' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersIndexerInstanceType(obj: CfnQuickStartModulePropsParametersIndexerInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSearchHeadInstanceType
 */
export interface CfnQuickStartModulePropsParametersSearchHeadInstanceType {
    /**
     * @schema CfnQuickStartModulePropsParametersSearchHeadInstanceType#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSearchHeadInstanceType' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSearchHeadInstanceType(obj: CfnQuickStartModulePropsParametersSearchHeadInstanceType | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersKeyName
 */
export interface CfnQuickStartModulePropsParametersKeyName {
    /**
     * @schema CfnQuickStartModulePropsParametersKeyName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersKeyName' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersKeyName(obj: CfnQuickStartModulePropsParametersKeyName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersPublicSubnet1Cidr
 */
export interface CfnQuickStartModulePropsParametersPublicSubnet1Cidr {
    /**
     * @schema CfnQuickStartModulePropsParametersPublicSubnet1Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersPublicSubnet1Cidr' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersPublicSubnet1Cidr(obj: CfnQuickStartModulePropsParametersPublicSubnet1Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersPublicSubnet2Cidr
 */
export interface CfnQuickStartModulePropsParametersPublicSubnet2Cidr {
    /**
     * @schema CfnQuickStartModulePropsParametersPublicSubnet2Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersPublicSubnet2Cidr' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersPublicSubnet2Cidr(obj: CfnQuickStartModulePropsParametersPublicSubnet2Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersPublicSubnet3Cidr
 */
export interface CfnQuickStartModulePropsParametersPublicSubnet3Cidr {
    /**
     * @schema CfnQuickStartModulePropsParametersPublicSubnet3Cidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersPublicSubnet3Cidr' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersPublicSubnet3Cidr(obj: CfnQuickStartModulePropsParametersPublicSubnet3Cidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersShcEnabled
 */
export interface CfnQuickStartModulePropsParametersShcEnabled {
    /**
     * @schema CfnQuickStartModulePropsParametersShcEnabled#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersShcEnabled' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersShcEnabled(obj: CfnQuickStartModulePropsParametersShcEnabled | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSshClientLocation
 */
export interface CfnQuickStartModulePropsParametersSshClientLocation {
    /**
     * @schema CfnQuickStartModulePropsParametersSshClientLocation#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSshClientLocation' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSshClientLocation(obj: CfnQuickStartModulePropsParametersSshClientLocation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkAdminPassword
 */
export interface CfnQuickStartModulePropsParametersSplunkAdminPassword {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkAdminPassword#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkAdminPassword' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkAdminPassword(obj: CfnQuickStartModulePropsParametersSplunkAdminPassword | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkIndexerCount
 */
export interface CfnQuickStartModulePropsParametersSplunkIndexerCount {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkIndexerCount#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkIndexerCount' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkIndexerCount(obj: CfnQuickStartModulePropsParametersSplunkIndexerCount | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkIndexerDiskSize
 */
export interface CfnQuickStartModulePropsParametersSplunkIndexerDiskSize {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkIndexerDiskSize#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkIndexerDiskSize' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkIndexerDiskSize(obj: CfnQuickStartModulePropsParametersSplunkIndexerDiskSize | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize
 */
export interface CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize(obj: CfnQuickStartModulePropsParametersSplunkSearchHeadDiskSize | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkLicenseBucket
 */
export interface CfnQuickStartModulePropsParametersSplunkLicenseBucket {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkLicenseBucket#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkLicenseBucket' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkLicenseBucket(obj: CfnQuickStartModulePropsParametersSplunkLicenseBucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkLicensePath
 */
export interface CfnQuickStartModulePropsParametersSplunkLicensePath {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkLicensePath#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkLicensePath' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkLicensePath(obj: CfnQuickStartModulePropsParametersSplunkLicensePath | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkReplicationFactor
 */
export interface CfnQuickStartModulePropsParametersSplunkReplicationFactor {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkReplicationFactor#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkReplicationFactor' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkReplicationFactor(obj: CfnQuickStartModulePropsParametersSplunkReplicationFactor | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkSearchFactor
 */
export interface CfnQuickStartModulePropsParametersSplunkSearchFactor {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkSearchFactor#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkSearchFactor' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkSearchFactor(obj: CfnQuickStartModulePropsParametersSplunkSearchFactor | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkClusterSecret
 */
export interface CfnQuickStartModulePropsParametersSplunkClusterSecret {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkClusterSecret#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkClusterSecret' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkClusterSecret(obj: CfnQuickStartModulePropsParametersSplunkClusterSecret | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret
 */
export interface CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret {
    /**
     * @schema CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret(obj: CfnQuickStartModulePropsParametersSplunkIndexerDiscoverySecret | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersVpccidr
 */
export interface CfnQuickStartModulePropsParametersVpccidr {
    /**
     * @schema CfnQuickStartModulePropsParametersVpccidr#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersVpccidr' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersVpccidr(obj: CfnQuickStartModulePropsParametersVpccidr | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsParametersSmartStoreBucketName
 */
export interface CfnQuickStartModulePropsParametersSmartStoreBucketName {
    /**
     * @schema CfnQuickStartModulePropsParametersSmartStoreBucketName#Type
     */
    readonly type: string;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsParametersSmartStoreBucketName' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsParametersSmartStoreBucketName(obj: CfnQuickStartModulePropsParametersSmartStoreBucketName | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesVpc
 */
export interface CfnQuickStartModulePropsResourcesVpc {
    /**
     * @schema CfnQuickStartModulePropsResourcesVpc#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesVpc#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesVpc' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesVpc(obj: CfnQuickStartModulePropsResourcesVpc | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnet1
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnet1 {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet1#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet1#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnet1' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnet1(obj: CfnQuickStartModulePropsResourcesPublicSubnet1 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnet2
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnet2 {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet2#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet2#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnet2' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnet2(obj: CfnQuickStartModulePropsResourcesPublicSubnet2 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnet3
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnet3 {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet3#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet3#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnet3' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnet3(obj: CfnQuickStartModulePropsResourcesPublicSubnet3 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesInternetGateway
 */
export interface CfnQuickStartModulePropsResourcesInternetGateway {
    /**
     * @schema CfnQuickStartModulePropsResourcesInternetGateway#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesInternetGateway#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesInternetGateway' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesInternetGateway(obj: CfnQuickStartModulePropsResourcesInternetGateway | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesVpcGatewayAttachment
 */
export interface CfnQuickStartModulePropsResourcesVpcGatewayAttachment {
    /**
     * @schema CfnQuickStartModulePropsResourcesVpcGatewayAttachment#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesVpcGatewayAttachment#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesVpcGatewayAttachment' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesVpcGatewayAttachment(obj: CfnQuickStartModulePropsResourcesVpcGatewayAttachment | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnetRouteTable
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnetRouteTable {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnetRouteTable#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnetRouteTable#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnetRouteTable' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnetRouteTable(obj: CfnQuickStartModulePropsResourcesPublicSubnetRouteTable | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnetRoute
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnetRoute {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnetRoute#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnetRoute#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnetRoute' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnetRoute(obj: CfnQuickStartModulePropsResourcesPublicSubnetRoute | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation(obj: CfnQuickStartModulePropsResourcesPublicSubnet1RouteTableAssociation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation(obj: CfnQuickStartModulePropsResourcesPublicSubnet2RouteTableAssociation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation
 */
export interface CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation {
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation(obj: CfnQuickStartModulePropsResourcesPublicSubnet3RouteTableAssociation | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket
 */
export interface CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket(obj: CfnQuickStartModulePropsResourcesSplunkSmartstoreBucket | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole
 */
export interface CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole {
    /**
     * @schema CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole(obj: CfnQuickStartModulePropsResourcesSmartStoreS3BucketRole | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile
 */
export interface CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile {
    /**
     * @schema CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile(obj: CfnQuickStartModulePropsResourcesSmartStoreS3AccessInstanceProfile | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy
 */
export interface CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy {
    /**
     * @schema CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy(obj: CfnQuickStartModulePropsResourcesSmartStoreS3BucketPolicy | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup
 */
export interface CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup(obj: CfnQuickStartModulePropsResourcesSplunkSearchHeadSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup
 */
export interface CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup(obj: CfnQuickStartModulePropsResourcesSplunkIndexerSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkSecurityGroup
 */
export interface CfnQuickStartModulePropsResourcesSplunkSecurityGroup {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkSecurityGroup(obj: CfnQuickStartModulePropsResourcesSplunkSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup
 */
export interface CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup(obj: CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancerSecurityGroup | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance
 */
export interface CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance(obj: CfnQuickStartModulePropsResourcesSplunkSearchHeadInstance | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkCm
 */
export interface CfnQuickStartModulePropsResourcesSplunkCm {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkCm#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkCm#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkCm' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkCm(obj: CfnQuickStartModulePropsResourcesSplunkCm | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkCmWaitHandle
 */
export interface CfnQuickStartModulePropsResourcesSplunkCmWaitHandle {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkCmWaitHandle#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkCmWaitHandle#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkCmWaitHandle' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkCmWaitHandle(obj: CfnQuickStartModulePropsResourcesSplunkCmWaitHandle | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkCmWaitCondition
 */
export interface CfnQuickStartModulePropsResourcesSplunkCmWaitCondition {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkCmWaitCondition#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkCmWaitCondition#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkCmWaitCondition' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkCmWaitCondition(obj: CfnQuickStartModulePropsResourcesSplunkCmWaitCondition | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkShcDeployer
 */
export interface CfnQuickStartModulePropsResourcesSplunkShcDeployer {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcDeployer#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcDeployer#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkShcDeployer' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkShcDeployer(obj: CfnQuickStartModulePropsResourcesSplunkShcDeployer | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkShcMember1
 */
export interface CfnQuickStartModulePropsResourcesSplunkShcMember1 {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcMember1#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcMember1#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkShcMember1' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkShcMember1(obj: CfnQuickStartModulePropsResourcesSplunkShcMember1 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkShcMember2
 */
export interface CfnQuickStartModulePropsResourcesSplunkShcMember2 {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcMember2#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcMember2#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkShcMember2' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkShcMember2(obj: CfnQuickStartModulePropsResourcesSplunkShcMember2 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkShcMember3
 */
export interface CfnQuickStartModulePropsResourcesSplunkShcMember3 {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcMember3#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcMember3#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkShcMember3' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkShcMember3(obj: CfnQuickStartModulePropsResourcesSplunkShcMember3 | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesCfnUser
 */
export interface CfnQuickStartModulePropsResourcesCfnUser {
    /**
     * @schema CfnQuickStartModulePropsResourcesCfnUser#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesCfnUser#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesCfnUser' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesCfnUser(obj: CfnQuickStartModulePropsResourcesCfnUser | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesCfnKeys
 */
export interface CfnQuickStartModulePropsResourcesCfnKeys {
    /**
     * @schema CfnQuickStartModulePropsResourcesCfnKeys#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesCfnKeys#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesCfnKeys' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesCfnKeys(obj: CfnQuickStartModulePropsResourcesCfnKeys | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesBucketPolicy
 */
export interface CfnQuickStartModulePropsResourcesBucketPolicy {
    /**
     * @schema CfnQuickStartModulePropsResourcesBucketPolicy#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesBucketPolicy#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesBucketPolicy' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesBucketPolicy(obj: CfnQuickStartModulePropsResourcesBucketPolicy | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration
 */
export interface CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration(obj: CfnQuickStartModulePropsResourcesSplunkIndexerLaunchConfiguration | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer
 */
export interface CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer(obj: CfnQuickStartModulePropsResourcesSplunkShcLoadBalancer | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer
 */
export interface CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer(obj: CfnQuickStartModulePropsResourcesSplunkHttpEventCollectorLoadBalancer | undefined): Record<string, any> | undefined;
/**
 * @schema CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg
 */
export interface CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg {
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg#Type
     */
    readonly type?: string;
    /**
     * @schema CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg#Properties
     */
    readonly properties?: any;
}
/**
 * Converts an object of type 'CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg' to JSON representation.
 */
export declare function toJson_CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg(obj: CfnQuickStartModulePropsResourcesSplunkIndexerNodesAsg | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `Splunk::Enterprise::QuickStart::MODULE`.
 *
 * @external
 * @cloudformationResource Splunk::Enterprise::QuickStart::MODULE
 * @link http://unknown-url
 */
export declare class CfnQuickStartModule extends cdk.CfnResource {
    /**
     * The CloudFormation resource type name for this resource class.
     *
     * @external
     */
    static readonly CFN_RESOURCE_TYPE_NAME = "Splunk::Enterprise::QuickStart::MODULE";
    /**
     * Resource props.
     *
     * @external
     */
    readonly props: CfnQuickStartModuleProps;
    /**
     * Create a new `Splunk::Enterprise::QuickStart::MODULE`.
     *
     * @param scope - scope in which this resource is defined.
     * @param id - scoped id of the resource.
     * @param props - resource properties.
     * @external
     */
    constructor(scope: cdk.Construct, id: string, props: CfnQuickStartModuleProps);
}
